<section class="list-history">
  <div [ngClass]="[jds.card, jds.mb(20)]">
    <div [ngClass]="[jds.cardBody, jds.py(20), jds.px(25)]">
      <ng-container *ngIf="!isError">
        <ng-container *ngIf="(data$ | async)?.length > 0">
          <div
            *ngFor="let row of data$ | groupByDate | async"
            [ngClass]="[jds.mb(20)]"
          >
            <div [ngClass]="[jds.fs(16), jds.text('#7E8284'), jds.mb(12)]">
              {{ moment(row.date).locale('id').format('dddd, DD MMMM YYYY') }}
            </div>
            <ng-container *ngFor="let rowSub of row.data">
              <div
                [ngClass]="[
                  jds.d('table-row'),
                  jds.fs(16),
                  jds.fontWeight('bold'),
                  jds.mb(8)
                ]"
              >
                <div [ngClass]="[jds.d('table-cell'), jds.pe(25), jds.pb(6)]">
                  {{ moment(rowSub.date_start).format('HH:mm') }}
                </div>
                <div [ngClass]="[jds.d('table-cell')]">
                  <ng-container *ngIf="filter.data === 'dataset'">
                    <a [routerLink]="['/dataset/detail', rowSub.dataset_id]">
                      {{ rowSub.dataset_name }}
                    </a>
                  </ng-container>
                  <ng-container *ngIf="filter.data === 'indicator'">
                    <a
                      [routerLink]="['/indicator/detail', rowSub.indicator_id]"
                    >
                      {{ rowSub.indicator_name }}
                    </a>
                  </ng-container>
                  <ng-container *ngIf="filter.data === 'visualization'">
                    <a
                      [routerLink]="['/visualization', rowSub.visualization_id]"
                    >
                      {{ rowSub.visualization_name }}
                    </a>
                  </ng-container>
                </div>
              </div>
            </ng-container>
          </div>

          <div [ngClass]="[jds.textAlign('center')]">
            <button
              *ngIf="
                (isLoadingList$ | async) === false &&
                !isError &&
                (pagination.current_page || filter.currentPage) <
                  pagination.total_pages
              "
              [ngClass]="[jds.button, jds.buttonPrimary]"
              (click)="
                filterPage(pagination.current_page || filter.currentPage)
              "
            >
              Lihat Selengkapnya
            </button>
          </div>
        </ng-container>

        <ng-container *ngIf="(isLoadingList$ | async) === false">
          <ng-container *ngIf="(data$ | async)?.length === 0 && checkFilter">
            <app-list-empty
              [isCard]="false"
              type="dataset"
            >
              <h6>Maaf, hasil pencarian tidak ditemukan.</h6>
              <p>
                Riwayat yang Anda cari tidak ditemukan atau terjadi kesalahan
                penulisan kata kunci.
              </p>
            </app-list-empty>
          </ng-container>

          <ng-container *ngIf="(data$ | async)?.length === 0 && !checkFilter">
            <app-list-empty
              [isCard]="false"
              type="dataset"
            >
              <h6>Maaf, belum ada Riwayat saat ini.</h6>
              <p>
                Riwayat penelusuran yang pernah Anda akses akan terlihat di
                sini.
              </p>
            </app-list-empty>
          </ng-container>
        </ng-container>
      </ng-container>

      <ng-container *ngIf="isLoadingList$ | async">
        <div [ngClass]="[jds.mb(20)]">
          <div *ngFor="let number of [70, 50, 60, 40]">
            <div class="wrapper-skeleton">
              <ngx-skeleton-loader
                [theme]="{
                  width: number + '%',
                  'border-radius': '0',
                  height: '22px',
                  'margin-bottom': '8px'
                }"
              />
            </div>
          </div>
        </div>
      </ng-container>
    </div>
  </div>
</section>
